import type { ConfigAPI } from '@babel/core';
import type { BabelPluginOptions, BabelPluginMetadata } from './types';
export { default as shakerEvaluator } from '@linaria/shaker';
export { EvalCache, Module } from '@linaria/babel-preset';
export { configSchema } from './schema';
export type { Evaluator, EvalRule } from '@linaria/babel-preset';
export type { BabelPluginOptions, BabelPluginMetadata };
export default function griffelPreset(babel: ConfigAPI, options: BabelPluginOptions): {
    plugins: (BabelPluginOptions | ((api: object, options: Partial<BabelPluginOptions> | null | undefined, dirname: string) => import("@babel/core").PluginObj<import("@babel/core").PluginPass & {
        importDeclarationPaths?: import("@babel/traverse").NodePath<import("@babel/types").ImportDeclaration>[];
        requireDeclarationPath?: import("@babel/traverse").NodePath<import("@babel/types").VariableDeclarator>;
        definitionPaths?: {
            declaratorId: string;
            functionKind: "makeStyles" | "makeResetStyles";
            path: import("@babel/traverse").NodePath<import("@babel/types").Expression | import("@babel/types").SpreadElement>;
        }[];
        calleePaths?: import("@babel/traverse").NodePath<import("@babel/types").Identifier>[];
        cssEntries?: BabelPluginMetadata["cssEntries"];
        cssResetEntries?: BabelPluginMetadata["cssResetEntries"];
    }>))[][];
};
